### Method

# St IconInfo load_icon

#### Declaration [src]

    GdkPixbuf*
    st_icon_info_load_icon (
      StIconInfo* icon_info
      GError** error
    )

#### Description [src]

Renders an icon previously looked up in an icon theme using `st_icon_theme_lookup_icon()`; the size will be based on the size passed to `st_icon_theme_lookup_icon()`. Note that the resulting pixbuf may not be exactly this size; an icon theme may have icons that differ slightly from their nominal sizes, and in addition GTK+ will avoid scaling icons that it considers sufficiently close to the requested size or for which the source image would have to be scaled up too far. (This maintains sharpness.). This behaviour can be changed by passing the `ST_ICON_LOOKUP_FORCE_SIZE` flag when obtaining the `StIconInfo`. If this flag has been specified, the pixbuf returned by this function will be scaled to the exact size.

#### Return value

Type: `GdkPixbuf`

The rendered icon; this may be a newly created icon or a new reference to an internal icon, so you must not modify the icon. Use `g_object_unref()` to release your reference to the icon.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.